//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
#ifndef AIDA_H
#define AIDA_H 1

#include "AIDA/IAnalysisFactory.h"
#include "AIDA/IAnnotation.h"
#include "AIDA/IAxis.h"
#include "AIDA/IAxisStyle.h"
#include "AIDA/IBaseHistogram.h"
#include "AIDA/IBaseStyle.h"
#include "AIDA/IBrushStyle.h"
#include "AIDA/ICloud.h"
#include "AIDA/ICloud1D.h"
#include "AIDA/ICloud2D.h"
#include "AIDA/ICloud3D.h"
#include "AIDA/IConstants.h"
#include "AIDA/IDataPoint.h"
#include "AIDA/IDataPointSet.h"
#include "AIDA/IDataPointSetFactory.h"
#include "AIDA/IDataStyle.h"
#include "AIDA/IEvaluator.h"
#include "AIDA/IFillStyle.h"
#include "AIDA/IFilter.h"
#include "AIDA/IFitData.h"
#include "AIDA/IFitFactory.h"
#include "AIDA/IFitParameterSettings.h"
#include "AIDA/IFitResult.h"
#include "AIDA/IFitter.h"
#include "AIDA/IFunction.h"
#include "AIDA/IFunctionCatalog.h"
#include "AIDA/IFunctionFactory.h"
#include "AIDA/IHistogram.h"
#include "AIDA/IHistogram1D.h"
#include "AIDA/IHistogram2D.h"
#include "AIDA/IHistogram3D.h"
#include "AIDA/IHistogramFactory.h"
#include "AIDA/IInfo.h"
#include "AIDA/IInfoStyle.h"
#include "AIDA/ILineStyle.h"
#include "AIDA/IManagedObject.h"
#include "AIDA/IMarkerStyle.h"
#include "AIDA/IMeasurement.h"
#include "AIDA/IModelFunction.h"
#include "AIDA/IPlotter.h"
#include "AIDA/IPlotterFactory.h"
#include "AIDA/IPlotterLayout.h"
#include "AIDA/IPlotterRegion.h"
#include "AIDA/IPlotterStyle.h"
#include "AIDA/IProfile.h"
#include "AIDA/IProfile1D.h"
#include "AIDA/IProfile2D.h"
#include "AIDA/IRangeSet.h"
#include "AIDA/ITextStyle.h"
#include "AIDA/ITitleStyle.h"
#include "AIDA/ITree.h"
#include "AIDA/ITreeFactory.h"
#include "AIDA/ITuple.h"
#include "AIDA/ITupleFactory.h"

#endif /* ifndef AIDA_H */
